Bug 740360 - SELinux is preventing /usr/sbin/certmonger from read, write access on the file coolkeypk11sE-Gate 0 0-0.
Summary: SELinux is preventing /usr/sbin/certmonger from read, write access on the fil...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:fc0684d3bb4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-21 18:43 UTC by Stephen Gallagher
Modified: 2011-11-21 17:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-21 17:03:02 UTC


Attachments (Terms of Use)

Description Stephen Gallagher 2011-09-21 18:43:50 UTC
SELinux is preventing /usr/sbin/certmonger from read, write access on the file coolkeypk11sE-Gate 0 0-0.

*****  Plugin catchall_labels (83.8 confidence) suggests  ********************

If you want to allow certmonger to have read write access on the coolkeypk11sE-Gate 0 0-0 file
Then you need to change the label on coolkeypk11sE-Gate.0.0-0
Do
# semanage fcontext -a -t FILE_TYPE 'coolkeypk11sE-Gate.0.0-0'
where FILE_TYPE is one of the following: certmonger_var_lib_t, certmonger_var_run_t, cert_t, user_cron_spool_t, dirsrv_config_t, auth_cache_t, certmonger_t, afs_cache_t, root_t. 
Then execute: 
restorecon -v 'coolkeypk11sE-Gate.0.0-0'


*****  Plugin catchall (17.1 confidence) suggests  ***************************

If you believe that certmonger should be allowed read write access on the coolkeypk11sE-Gate 0 0-0 file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep certmonger /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:certmonger_t:s0
Target Context                system_u:object_r:var_t:s0
Target Objects                coolkeypk11sE-Gate 0 0-0 [ file ]
Source                        certmonger
Source Path                   /usr/sbin/certmonger
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           certmonger-0.46-0.20110901T2040Zgitb3bdf4c.fc15
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.16-38.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.40.4-5.fc15.x86_64 #1 SMP Tue Aug 30 14:38:32
                              UTC 2011 x86_64 x86_64
Alert Count                   1
First Seen                    Wed 21 Sep 2011 09:32:55 AM EDT
Last Seen                     Wed 21 Sep 2011 09:32:55 AM EDT
Local ID                      579686fc-c745-42c7-8c18-20c77ec102ff

Raw Audit Messages
type=AVC msg=audit(1316611975.743:36): avc:  denied  { read write } for  pid=1460 comm="certmonger" name=636F6F6C6B6579706B313173452D47617465203020302D30 dev=dm-2 ino=1704509 scontext=system_u:system_r:certmonger_t:s0 tcontext=system_u:object_r:var_t:s0 tclass=file


type=AVC msg=audit(1316611975.743:36): avc:  denied  { open } for  pid=1460 comm="certmonger" name=636F6F6C6B6579706B313173452D47617465203020302D30 dev=dm-2 ino=1704509 scontext=system_u:system_r:certmonger_t:s0 tcontext=system_u:object_r:var_t:s0 tclass=file


type=SYSCALL msg=audit(1316611975.743:36): arch=x86_64 syscall=open success=yes exit=ECHILD a0=154e510 a1=20002 a2=180 a3=7fff48922b60 items=0 ppid=1458 pid=1460 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=certmonger exe=/usr/sbin/certmonger subj=system_u:system_r:certmonger_t:s0 key=(null)

Hash: certmonger,certmonger_t,var_t,file,read,write

audit2allow

#============= certmonger_t ==============
#!!!! The source type 'certmonger_t' can write to a 'file' of the following types:
# certmonger_var_lib_t, certmonger_var_run_t, cert_t, dirsrv_config_t, auth_cache_t, root_t

allow certmonger_t var_t:file { read write open };

audit2allow -R

#============= certmonger_t ==============
#!!!! The source type 'certmonger_t' can write to a 'file' of the following types:
# certmonger_var_lib_t, certmonger_var_run_t, cert_t, dirsrv_config_t, auth_cache_t, root_t

allow certmonger_t var_t:file { read write open };

Comment 1 Daniel Walsh 2011-09-21 19:43:13 UTC
What is in var that certmonger is trying to read.  It looks like something is mislabeled.

restorecon -R -v /var

Should fix.  Coolkeycache is mislabeled.


Note You need to log in before you can comment on or make changes to this bug.